Skip to main content
POST
Revoke Key

Authorizations

Authorization
string
header
required

A token from the identity provider your deployment federates with. It identifies a person; their roles in the workspace decide what they may do.

Path Parameters

key_id
string
required

Body

application/json
reason
string
required
Required string length: 1 - 2000

Response

Successful Response

A revoked key, and what that did.

id
string
required
name
string
required
environment
string
required
scope_source
string
required
display
string
required
created_by
string
required
created_at
string<date-time>
required
active
boolean
required
never_used
boolean
required
dormant
boolean
required
note
string
required
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revocation_reason
string | null